features:
  secondary:
    - name: "Mark changes as viewed in merge requests"
      available_in: [core, starter, premium, ultimate]
      documentation_link: 'https://docs.gitlab.com/ee/user/project/merge_requests/reviewing_and_managing_merge_requests.html#mark-files-as-viewed'
      image_url: '/images/unreleased/phikai-mark-changes-as-reviewed.png'
      reporter: phikai
      stage: create
      categories:
        - 'Code Review'
      issue_url: 'https://gitlab.com/gitlab-org/gitlab/-/issues/17531'
      description: |
        When reviewing a merge request that changes many files, it is challenging to keep track of which files you have already reviewed. Reviews are inefficient when you're required to re-review or spend additional time regaining context on each file in the merge request.

        Files can now be marked as **Viewed** in merge requests to help signal to yourself that the file has been reviewed. This change allows reviewers to quickly stay up to speed on what they've reviewed and what still needs to be reviewed for the merge request.

